Skip to content
Docs

Upload a blob chunk

PATCHhttps://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid}
PATCH /v2/:teamSlug/:projectSlug/:repositoryName/blobs/uploads/:uuid Upload a chunk of blob data. The request body is streamed directly to S3 as a multipart upload part while hashing incrementally. The client may call this multiple times for chunked uploads.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel();
async function run() {
const result = await vercel.vcr.updateByTeamSlugByProjectSlugByRepositoryNameBlobsUploadsByUuid({
teamSlug: "team-slug",
projectSlug: "project-slug",
repositoryName: "nginx",
uuid: "0123456789abcdef0123456789abcdef01234567",
});
console.log(result);
}
run();
Response
"value"
teamSlugstringRequired
Single Docker repository team slug component.
projectSlugstringRequired
Single Docker repository project slug component.
repositoryNamestringRequired
Single Docker repository name component.
uuidstringRequired
Blob upload session identifier.
202Success
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
408Error
410Error
413Error